Author Topic: Upgrade from 18.04 to 20.04  (Read 141 times)

spicer

  • Newbie
  • *
  • Posts: 21
    • View Profile
    • ltspiceusers.ch
Upgrade from 18.04 to 20.04
« on: April 28, 2020, 12:36:41 pm »
Hello
Is EHCP force ready for Ubuntu 20.04 or should I still wait?
Wenn es mehrere Möglichkeiten gibt, eine Aufgabe zu erledigen, und eine davon in einer Katastrophe endet oder sonstwie unerwünschte Konsequenzen nach sich zieht, dann wird es jemand genau so machen. Alles, was schiefgehen kann, wird auch schiefgehen.
(Murphys Gesetz)

earnolmartin

  • Administrator
  • Full Member
  • *****
  • Posts: 235
    • View Profile
Re: Upgrade from 18.04 to 20.04
« Reply #1 on: May 04, 2020, 02:51:20 pm »
It's supposed to work with Ubuntu 20.04 with the latest release.  Please let me know if you run into any problems.
« Last Edit: May 13, 2020, 02:56:23 pm by earnolmartin »

spicer

  • Newbie
  • *
  • Posts: 21
    • View Profile
    • ltspiceusers.ch
Re: Upgrade from 18.04 to 20.04
« Reply #2 on: May 06, 2020, 07:15:09 pm »
When I upgrade from php7.2 to php7.4, Xenforo 2.1.9 still shows me php7.2.
Is this a configuration of EHCP or Xenforo?

If I remove php7.2, the server stops running.
503 service unavailable.

This is probably the reason why Xenforo no longer runs after an upgrade to Ubuntu 20.04 (?).
Wenn es mehrere Möglichkeiten gibt, eine Aufgabe zu erledigen, und eine davon in einer Katastrophe endet oder sonstwie unerwünschte Konsequenzen nach sich zieht, dann wird es jemand genau so machen. Alles, was schiefgehen kann, wird auch schiefgehen.
(Murphys Gesetz)

earnolmartin

  • Administrator
  • Full Member
  • *****
  • Posts: 235
    • View Profile
Re: Upgrade from 18.04 to 20.04
« Reply #3 on: May 06, 2020, 09:20:08 pm »
Ubuntu 20.04 appears to ship with two installable versions of PHP.  It is recommended you let the panel software configure the correct version to use...
« Last Edit: May 13, 2020, 02:56:54 pm by earnolmartin »

spicer

  • Newbie
  • *
  • Posts: 21
    • View Profile
    • ltspiceusers.ch
Re: Upgrade from 18.04 to 20.04
« Reply #4 on: May 06, 2020, 09:24:36 pm »
I upgrade with this tutorial: https://www.cyberciti.biz/faq/upgrade-ubuntu-18-04-to-20-04-lts-using-command-line/
I can not select the php version .....

Should I try the "The Debian Way" ? https://linuxconfig.org/how-to-upgrade-ubuntu-to-20-04-lts-focal-fossa
« Last Edit: May 06, 2020, 09:29:49 pm by spicer »
Wenn es mehrere Möglichkeiten gibt, eine Aufgabe zu erledigen, und eine davon in einer Katastrophe endet oder sonstwie unerwünschte Konsequenzen nach sich zieht, dann wird es jemand genau so machen. Alles, was schiefgehen kann, wird auch schiefgehen.
(Murphys Gesetz)

earnolmartin

  • Administrator
  • Full Member
  • *****
  • Posts: 235
    • View Profile
Re: Upgrade from 18.04 to 20.04
« Reply #5 on: May 13, 2020, 09:57:58 am »
No, you should use PHP 7.4
« Last Edit: May 13, 2020, 02:57:11 pm by earnolmartin »

spicer

  • Newbie
  • *
  • Posts: 21
    • View Profile
    • ltspiceusers.ch
Re: Upgrade from 18.04 to 20.04
« Reply #6 on: May 13, 2020, 10:05:37 am »
Ok, then should I use "the debian way" because php7.4 is automatically installed with the first link...?
Wenn es mehrere Möglichkeiten gibt, eine Aufgabe zu erledigen, und eine davon in einer Katastrophe endet oder sonstwie unerwünschte Konsequenzen nach sich zieht, dann wird es jemand genau so machen. Alles, was schiefgehen kann, wird auch schiefgehen.
(Murphys Gesetz)

earnolmartin

  • Administrator
  • Full Member
  • *****
  • Posts: 235
    • View Profile
Re: Upgrade from 18.04 to 20.04
« Reply #7 on: May 13, 2020, 02:55:04 pm »
Actually, in your case, I'm not sure.  It looks like everything is configured to use PHP 7.4.x by default on a fresh installation.  I would not change what was installed, but since you upgraded to 20.04 from 18.04, what happens if you remove PHP 7.2.x and install / reinstall / reconfigure PHP 7.4.x?  What webserver mode are you using?  Be sure to install php-fpm package for your version of php.  Maybe uninstall and purge all PHP 7.2 packages before installing all of the PHP 7.4 packages?
« Last Edit: May 13, 2020, 02:58:02 pm by earnolmartin »